For the complete documentation index, see llms.txt.

Orders
POST/api/orders/import

Create Orders

Create new unshipped orders (Maximum orders per API request: 50)

View as MarkdownCopy for LLM

Orders

Create, search, update, tag, archive, restore, and list orders before shipping.

18 related endpoints

Endpoint

Endpoint URL

https://api.starshipit.com/api/orders/import

Details

Create new unshipped orders (Maximum orders per API request: 50)

Create Orders Request

Attribute Type Description
orders object list List of orders details (Create Order Model)

Create Orders Response

Attribute Type Description
orders object list List of created orders details (Full Order Model)
success boolean Determines whether the request was successfully submitted
errors object list List of detailed errors (Error Model)

Request body

{
  "orders": [
    {
      "order_date": "2020-04-29T22:47:00.699943Z",
      "order_number": "10001",
      "reference": "Online Order",
      "shipping_method": "Express Shipping",
      "signature_required": false,
      "destination": {
        "name": "Johnny Smith",
        "phone": "0290988227",
        "street": "20 George Street",
        "suburb": "Sydney",
        "state": "NSW",
        "post_code": "2000",
        "country": "Australia",
        "delivery_instructions": "Leave at door"
      },
      "items": [
        {
          "description": "Mobile Phone",
          "sku": "MOBILE",
          "quantity": 1,
          "weight": 0.65,
          "value": 125,
          "merchant_product_id": "MOBILE",
          "manufacturer_product_id": "ACME-MOBILE-001",
          "standardised_product_id": "9340000000012"
        },
        {
          "description": "Mobile Case (Black)",
          "sku": "MOBILE-CASE-BLK",
          "quantity": 1,
          "weight": 0.05,
          "value": 20
        }
      ]
    },
    {
      "order_date": "2020-04-29T22:47:00.699943Z",
      "order_number": "10002",
      "reference": "Online Order",
      "shipping_method": "International Shipping",
      "signature_required": true,
      "destination": {
        "name": "Robert Johnson",
        "phone": "099734100",
        "street": "10 Federal Street",
        "suburb": "Auckland Central",
        "city": "Auckland",
        "state": "Auckland",
        "post_code": "1010",
        "country": "New Zealand",
        "delivery_instructions": "See the receptionist"
      },
      "items": [
        {
          "description": "Mobile Case (Blue)",
          "sku": "MOBILE-CASE-BLU",
          "quantity": 5,
          "weight": 0.05,
          "value": 20,
          "merchant_product_id": "MOBILE",
          "manufacturer_product_id": "ACME-MOBILE-001",
          "standardised_product_id": "9340000000012"
        }
      ]
    }
  ]
}

Response examples

Create Orders
{
  "orders": [
    {
      "order_id": 1020304051,
      "order_date": "2020-04-29T22:47:00.699943Z",
      "order_number": "10001",
      "reference": "Online Order",
      "carrier": "AusPost",
      "carrier_name": "Australia Post",
      "carrier_service_code": "7B05",
      "shipping_method": "Express Shipping",
      "signature_required": false,
      "dangerous_goods": false,
      "destination": {
        "name": "John Smith",
        "phone": "0290988227",
        "street": "20 George Street",
        "suburb": "Sydney",
        "state": "NSW",
        "post_code": "2000",
        "country": "Australia",
        "delivery_instructions": "Leave at door"
      },
      "items": [
        {
          "item_id": 1065580746,
          "description": "Mobile Phone",
          "sku": "MOBILE",
          "quantity": 1,
          "quantity_to_ship": 0,
          "weight": 0.65,
          "value": 125
        },
        {
          "item_id": 1065580747,
          "description": "Mobile Case (Black)",
          "sku": "MOBILE-CASE-BLK",
          "quantity": 1,
          "quantity_to_ship": 0,
          "weight": 0.05,
          "value": 20
        }
      ],
      "packages": [
        {
          "package_id": 1035548017,
          "weight": 0.7,
          "height": 0.04,
          "width": 0.08,
          "length": 0.12
        }
      ],
      "declared_value": 0
    },
    {
      "order_id": 1020304052,
      "order_date": "2020-04-29T22:47:00.699943Z",
      "order_number": "10002",
      "reference": "Online Order",
      "carrier": "AusPost",
      "carrier_name": "Australia Post",
      "carrier_service_code": "ECM8",
      "shipping_method": "International Shipping",
      "signature_required": true,
      "dangerous_goods": false,
      "destination": {
        "name": "Robert Johnson",
        "phone": "099734100",
        "street": "10 Federal Street",
        "suburb": "Auckland Central",
        "city": "Auckland",
        "state": "Auckland",
        "post_code": "1010",
        "country": "New Zealand",
        "delivery_instructions": "See the receptionist"
      },
      "items": [
        {
          "item_id": 1065580748,
          "description": "Mobile Case (Blue)",
          "sku": "MOBILE-CASE-BLU",
          "quantity": 5,
          "quantity_to_ship": 0,
          "weight": 0.05,
          "value": 20
        }
      ],
      "packages": [
        {
          "package_id": 1035548018,
          "weight": 0.25,
          "height": 0.04,
          "width": 0.2,
          "length": 0.15
        }
      ],
      "declared_value": 0
    }
  ],
  "success": true
}

Related endpoints